Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.cms
Class SignerInformation

    java.lang.Object
      |
      +--org.bouncycastle.cms.SignerInformation

public class SignerInformation
extends java.lang.Object

an expanded SignerInfo block from a CMS Signed message

Method Summary
`java.lang.String` | `getDigestAlgOID()` return the object identifier for the signature.
`byte[]` | `getDigestAlgParams()` return the signature parameters, or null if there aren't any.
`java.lang.String` | `getEncryptionAlgOID()` return the object identifier for the signature.
`byte[]` | `getEncryptionAlgParams()` return the signature/encyrption algorithm parameters, or null if there aren't any.
`SignerId` | `getSID()`
`byte[]` | `getSignature()` return the encoded signature
`AttributeTable` | `getSignedAttributes()` return a AttributeTable of the signed attributes - indexed by the OID of the attribute.
`AttributeTable` | `getUnsignedAttributes()` return a HashMap of the unsigned attributes indexed by the OID of the attribute.
`boolean` | `verify(java.security.PublicKey key, java.lang.String sigProvider)` verify that the given public key succesfully handles the signature associated with this signer.
`boolean` | `verify(java.security.cert.X509Certificate cert, java.lang.String sigProvider)` verify that the given certificate succesfully handles the signature associated with this signer and, if a signingTime attribute is available, that the certificate was valid at the time the signature was generated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSID

    public SignerId getSID()

### getDigestAlgOID

    public java.lang.String getDigestAlgOID()

  return the object identifier for the signature.

### getDigestAlgParams

    public byte[] getDigestAlgParams()

  return the signature parameters, or null if there aren't any.

### getEncryptionAlgOID

    public java.lang.String getEncryptionAlgOID()

  return the object identifier for the signature.

### getEncryptionAlgParams

    public byte[] getEncryptionAlgParams()

  return the signature/encyrption algorithm parameters, or null if there aren't any.

### getSignedAttributes

    public AttributeTable getSignedAttributes()

  return a AttributeTable of the signed attributes - indexed by the OID of the attribute.

### getUnsignedAttributes

    public AttributeTable getUnsignedAttributes()

  return a HashMap of the unsigned attributes indexed by the OID of the attribute.

### getSignature

    public byte[] getSignature()

  return the encoded signature

### verify

    public boolean verify(java.security.PublicKey key,
                          java.lang.String sigProvider)
                   throws java.security.NoSuchAlgorithmException,
                          java.security.NoSuchProviderException,
                          CMSException

  verify that the given public key succesfully handles the signature associated with this signer.

    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `CMSException`

### verify

    public boolean verify(java.security.cert.X509Certificate cert,
                          java.lang.String sigProvider)
                   throws java.security.NoSuchAlgorithmException,
                          java.security.NoSuchProviderException,
                          java.security.cert.CertificateExpiredException,
                          java.security.cert.CertificateNotYetValidException,
                          CMSException

  verify that the given certificate succesfully handles the signature associated with this signer and, if a signingTime attribute is available, that the certificate was valid at the time the signature was generated.

    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `java.security.cert.CertificateExpiredException`
    `java.security.cert.CertificateNotYetValidException`
    `CMSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD